CPPFLAGS=-Wall -g -std=c++0x

all: magic test00 test01

magic: magic.cc num_set.o converts.o

test00: test00.cc num_set.o converts.o
test01: test01.cc num_set.o converts.o

num_set.o: num_set.cc num_set.h
converts.o: converts.cc converts.h

clean:
	@rm -rfv test00 test00.dSYM
	@rm -rfv test01 test01.dSYM
	@rm -rvf magic magic.dSYM *.o
